import HQJGFun from "./fun";
import { ApiCall } from "tsrpc";
import { ReqOpen, ResOpen } from "../../../shared/protocols/event/huangqijiuguan/PtlOpen";

export default async (call: ApiCall<ReqOpen, ResOpen>) => {
    let hd = await HQJGFun.HdInfo(call, call.req.hdid);
    if (!hd || Object.keys(hd).length <= 0) {
        // 无此活动
        return call.error('', { code: -1, message: globalThis.lng.huodong_open_1 })
    }

    let mydata = await HQJGFun.getMydata(call, call.req.hdid);

    call.succ({ data: mydata })
}